ECHO(1)

NAME
echo - display a line of text

SYNOPSIS
echo [OPTION]... [STRING]...

DESCRIPTION

Echo the STRING(s) to standard output.

-n  do not output the trailing newline

-e  enable interpretation of the backslash-escaped characters

    listed below

-E  disable interpretation of those sequences in STRINGs

--help
    display this help and exit (should be alone)

--version
    output version information and exit (should be alone)

Without -E, the following sequences are recognized and interpolated:

    the character whose ASCII code is NNN (octal)

\   backslash

    alert (BEL)

    backspace

    suppress trailing newline

    form feed

    new line

    carriage return

    horizontal tab

    vertical tab

REPORTING BUGS
Report bugs to <bug-sh-utils@gnu.org>.

SEE ALSO
The full documentation for echo is maintained as a Texinfo manual. If the info and echo programs are properly installed at your site, the command

    info echo

should give you access to the complete manual.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.